package gui;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.event.KeyEvent;
import javax.swing.BorderFactory;
import javax.swing.InputMap;
import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.KeyStroke;

public class PanelGenerovatGraf extends JPanel {

    private JButton btnGenerovatGrafy;
    private JButton btnVymazatHodnoty;

    public PanelGenerovatGraf() {
        setBorder(BorderFactory.createEmptyBorder(25, 10, 10, 10));
        setLayout(new BorderLayout());

        btnGenerovatGrafy = new JButton("Generovat grafy");
        add(btnGenerovatGrafy, BorderLayout.EAST);

        btnVymazatHodnoty = new JButton("Vymazat hodnoty");
        InputMap im = btnVymazatHodnoty.getInputMap(WHEN_FOCUSED);
        im.put(KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, 0, false), "pressed");
        im.put(KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, 0, true), "released");
        add(btnVymazatHodnoty, BorderLayout.WEST);

        //"výplňkový" panel
        add(new JPanel(), BorderLayout.CENTER);
        //konec "výplňkového" panelu

        setMaximumSize(new Dimension(Integer.MAX_VALUE, getMinimumSize().height));

    }

    public JButton getBtnGenerovatGrafy() {
        return btnGenerovatGrafy;
    }

    public JButton getBtnVymazatHodnoty() {
        return btnVymazatHodnoty;
    }

}
