package model;

public class Graf {

    private int[][] matice; //graf jako matice (dvourozměrné pole)
    private int pocetUzlu;
    private int pocetHran;
    private int delkaHranyMin;
    private int delkaHranyMax;

    public Graf(int pocetUzlu) {
        this.pocetUzlu = pocetUzlu;
        pocetHran = 0;
        delkaHranyMin = 0;
        delkaHranyMax = 0;
        matice = new int[pocetUzlu][pocetUzlu];
    }

    public Graf(int pocetUzlu, int pocetHran, int delkaHranyMin, int delkaHrynyMax) {
        this.pocetUzlu = pocetUzlu;
        this.pocetHran = pocetHran;
        this.delkaHranyMin = delkaHranyMin;
        this.delkaHranyMax = delkaHrynyMax;
        matice = new int[pocetUzlu][pocetUzlu];
    }

    public int[][] getMatice() {
        return matice;
    }

    public int getPrvek(int i, int j) {
        return matice[i][j];
    }

    public void setPrvek(int i, int j, int hodnotaPrvku) {
        matice[i][j] = hodnotaPrvku;
    }

    public int getPocetUzlu() {
        return pocetUzlu;
    }

    public int getPocetHran() {
        return pocetHran;
    }

    public int getDelkaHranyMin() {
        return delkaHranyMin;
    }

    public int getDelkaHranyMax() {
        return delkaHranyMax;
    }

//    public void vypisGrafu() {
//        String meziznak = "\t";
//        //String meziznak = "  ";
//        for(int i = 0; i < pocetUzlu; i = i + 1) {
//            for(int j = 0; j < pocetUzlu; j = j + 1) {
//                if (j != pocetUzlu - 1) {
//                    System.out.print(matice[i][j] + meziznak);
//                } else {
//                    System.out.print(matice[i][j]);
//                }
//            }
//            System.out.println();
//        }
//    }
}
