package generatorgrafu;

import java.util.Random;
import model.Graf;

public class GeneratorStromu {
    
    public Graf generuj(int pocetUzlu, int pocetHran, int delkaHranyMin, int delkaHranyMax) {
        Graf graf = new Graf(pocetUzlu, pocetHran, delkaHranyMin, delkaHranyMax);
        
        if (pocetHran == pocetUzlu - 1) { //podminka k ověření, jetli ze zadaných parametrů lze vygenerovat strom
            for (int i = 0; i < pocetUzlu; i = i + 1) { //for cyklus k zajištění nulové délky všech hran
                for (int j = i; j < pocetUzlu; j = j + 1) {
                    //graf[i][j] = graf[j][i] = 0;
                    graf.setPrvek(i, j, 0);
                    graf.setPrvek(j, i, 0);
                }
            }
            
            Random random = new Random();
            
            for (int i = 0; i < pocetUzlu-1; i = i + 1) { //zajištění, že bude graf souvislý, resp. jednokomponentový
                /*int min = i+1;
                int max = pocetUzlu-1;
                int j = random.nextInt(max-min+1)+min;*/ //rozepsané meze generátoru
                int j = random.nextInt(pocetUzlu-1-(i+1)+1)+i+1; //náhodná pozice v poli na i-tém řádku
                //graf[i][j] = /*graf[j][i] =*/ random.nextInt(delkaHranyMax - delkaHranyMin + 1) + delkaHranyMin;
                graf.setPrvek(i, j, random.nextInt(delkaHranyMax - delkaHranyMin + 1) + delkaHranyMin);
                graf.setPrvek(j, i, graf.getPrvek(i, j));
            }
            
        }
        
        return graf;
        
    }
}
