package gui;

import javax.swing.ButtonGroup;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JRadioButtonMenuItem;

public class NabidkovaLista extends JMenuBar {

    private JMenu menuSoubor;
    private ButtonGroup bgTypUloh;
    private JRadioButtonMenuItem rbViceStejnychUloh;
    private JRadioButtonMenuItem rbViceRuznychUloh;
    private JMenuItem menuPolozkaUkoncit;

    private JMenu menuUlozit;
    private JMenuItem menuPolozkaUlozitJakoGif;
    private JMenuItem menuPolozkaUlozitJakoXlsx;
    private JMenuItem menuPolozkaUlozitJakoCsv;
    private JMenuItem menuPolozkaUlozitJakoTxt;

    private JMenu menuNastaveni;
    private JMenuItem menuPolozkaNastavitVelikosti;
    private ButtonGroup bgOznaceniVrcholu;
    private JRadioButtonMenuItem rbVrcholyMalaPismena;
    private JRadioButtonMenuItem rbVrcholyVelkaPismena;
    private JRadioButtonMenuItem rbVrcholyCislice;

    private JMenu menuOAplikaci;
    private JMenuItem menuPolozkaInformace;

    public NabidkovaLista() {
        menuSoubor = new JMenu("Soubor");

        bgTypUloh = new ButtonGroup();

        rbViceStejnychUloh = new JRadioButtonMenuItem("Generování více úloh stejného typu", true);
        bgTypUloh.add(rbViceStejnychUloh);
        menuSoubor.add(rbViceStejnychUloh);

        rbViceRuznychUloh = new JRadioButtonMenuItem("Generování více úloh různého typu");
        bgTypUloh.add(rbViceRuznychUloh);
        menuSoubor.add(rbViceRuznychUloh);

        menuSoubor.addSeparator();

        menuPolozkaUkoncit = new JMenuItem("Ukončit");
        menuSoubor.add(menuPolozkaUkoncit);

        add(menuSoubor);

        menuUlozit = new JMenu("Uložit");

        menuPolozkaUlozitJakoGif = new JMenuItem("Uložit výstup jako .gif");
        menuUlozit.add(menuPolozkaUlozitJakoGif);

        menuPolozkaUlozitJakoXlsx = new JMenuItem("Uložit výstup jako .xlsx");
        menuUlozit.add(menuPolozkaUlozitJakoXlsx);

        menuPolozkaUlozitJakoCsv = new JMenuItem("Uložit výstup jako .csv");
        menuUlozit.add(menuPolozkaUlozitJakoCsv);

        menuPolozkaUlozitJakoTxt = new JMenuItem("Uložit výstup jako .txt");
        menuUlozit.add(menuPolozkaUlozitJakoTxt);

        add(menuUlozit);

        menuNastaveni = new JMenu("Nastavení");

        menuPolozkaNastavitVelikosti = new JMenuItem("Nastavit velikost tabulky a písma");
        menuNastaveni.add(menuPolozkaNastavitVelikosti);

        menuNastaveni.addSeparator();

        bgOznaceniVrcholu = new ButtonGroup();

        rbVrcholyMalaPismena = new JRadioButtonMenuItem("Označovat vrcholy grafů malými písmeny", true);
        bgOznaceniVrcholu.add(rbVrcholyMalaPismena);
        menuNastaveni.add(rbVrcholyMalaPismena);

        rbVrcholyVelkaPismena = new JRadioButtonMenuItem("Označovat vrcholy grafů velkými písmeny");
        bgOznaceniVrcholu.add(rbVrcholyVelkaPismena);
        menuNastaveni.add(rbVrcholyVelkaPismena);

        rbVrcholyCislice = new JRadioButtonMenuItem("Označovat vrcholy grafů číslicemi");
        bgOznaceniVrcholu.add(rbVrcholyCislice);
        menuNastaveni.add(rbVrcholyCislice);

        add(menuNastaveni);

        menuOAplikaci = new JMenu("O aplikaci");

        menuPolozkaInformace = new JMenuItem("Informace");
        menuOAplikaci.add(menuPolozkaInformace);

        add(menuOAplikaci);

    }

    public JRadioButtonMenuItem getRbViceStejnychUloh() {
        return rbViceStejnychUloh;
    }

    public JRadioButtonMenuItem getRbViceRuznychUloh() {
        return rbViceRuznychUloh;
    }

    public JMenuItem getMenuPolozkaUkoncit() {
        return menuPolozkaUkoncit;
    }

    public JMenuItem getMenuPolozkaUlozitJakoGif() {
        return menuPolozkaUlozitJakoGif;
    }

    public JMenuItem getMenuPolozkaUlozitJakoXlsx() {
        return menuPolozkaUlozitJakoXlsx;
    }

    public JMenuItem getMenuPolozkaUlozitJakoCsv() {
        return menuPolozkaUlozitJakoCsv;
    }

    public JMenuItem getMenuPolozkaUlozitJakoTxt() {
        return menuPolozkaUlozitJakoTxt;
    }

    public JMenuItem getMenuPolozkaNastavitVelikosti() {
        return menuPolozkaNastavitVelikosti;
    }

    public JRadioButtonMenuItem getRbVrcholyMalaPismena() {
        return rbVrcholyMalaPismena;
    }

    public JRadioButtonMenuItem getRbVrcholyVelkaPismena() {
        return rbVrcholyVelkaPismena;
    }

    public JRadioButtonMenuItem getRbVrcholyCislice() {
        return rbVrcholyCislice;
    }

    public JMenuItem getMenuPolozkaInformace() {
        return menuPolozkaInformace;
    }

}
