package gui;

import java.awt.BorderLayout;
import java.awt.Dimension;
import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class PanelPocetGrafuJednohoTypu extends JPanel {

    private JLabel lblPocetGrafu;
    private ValidovaneTextovePole vtpPocetGrafu;

    public PanelPocetGrafuJednohoTypu() {
        super();
        setBorder(BorderFactory.createEmptyBorder(10, 0, 25, 0));
        setLayout(new BorderLayout());

        lblPocetGrafu = new JLabel("Počet grafů:");
        lblPocetGrafu.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 10));
        add(lblPocetGrafu, BorderLayout.WEST);

        vtpPocetGrafu = new ValidovaneTextovePole();
        add(vtpPocetGrafu, BorderLayout.CENTER);

        setMaximumSize(new Dimension(Integer.MAX_VALUE, getMinimumSize().height));

    }

    public ValidovaneTextovePole getVtpPocetGrafu() {
        return vtpPocetGrafu;
    }

    public JLabel getLblPocetGrafu() {
        return lblPocetGrafu;
    }

}
